<?php
/**
 * The Gollem_MIME_Viewer_plain class renders out text/plain MIME parts
 * with URLs made into hyperlinks.

 * $Horde: gollem/lib/MIME/Viewer/plain.php,v 1.12 2005/01/03 14:34:55 jan Exp $
 *
 * Copyright 1999-2005 Anil Madhavapeddy <anil@recoil.org>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Anil Madhavapeddy <anil@recoil.org>
 * @version $Revision: 1.12 $
 * @since   Gollem 0.0.1
 * @package Horde_MIME_Viewer
 */
class Gollem_MIME_Viewer_plain extends MIME_Viewer {

    /**
     * Render out the currently set contents in HTML or plain text format.
     * The $mime_part class variable has the information to render
     * out, encapsulated in a MIME_Part object.
     */
    function render($params = array())
    {
        $text = $this->mime_part->getContents();

        if ($text === false) {
            return '<i>' . _("There was an error viewing this file") . '</i>';
        }

        require_once 'Horde/Text/Filter.php';

        return Text_Filter::filter($text, 'text2html', array('parselevel' => TEXT_HTML_MICRO));
    }

}
